package com.bonus.canteen.core.supply.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class OrderGoodsPayRefundAmountModel {
   @ApiModelProperty("付款id")
   private Long payId;
   @ApiModelProperty("采购单号")
   private String orderGoodsId;
   @ApiModelProperty("付款金额")
   private Long payAmount;
   @ApiModelProperty("付款状态(1申请，2付款/退款)")
   private Integer payStatus;
   @ApiModelProperty("类型(1付款，2退款)")
   private Integer payRefundType;

   public Long getPayId() {
      return this.payId;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getPayAmount() {
      return this.payAmount;
   }

   public Integer getPayStatus() {
      return this.payStatus;
   }

   public Integer getPayRefundType() {
      return this.payRefundType;
   }

   public void setPayId(final Long payId) {
      this.payId = payId;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setPayAmount(final Long payAmount) {
      this.payAmount = payAmount;
   }

   public void setPayStatus(final Integer payStatus) {
      this.payStatus = payStatus;
   }

   public void setPayRefundType(final Integer payRefundType) {
      this.payRefundType = payRefundType;
   }


   public String toString() {
      Long var10000 = this.getPayId();
      return "OrderGoodsPayRefundAmountModel(payId=" + var10000 + ", orderGoodsId=" + this.getOrderGoodsId() + ", payAmount=" + this.getPayAmount() + ", payStatus=" + this.getPayStatus() + ", payRefundType=" + this.getPayRefundType() + ")";
   }
}
